Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229849 - Plugin exception: NameError: global name '_uuid_generate_random' is not defined
Summary: Plugin exception: NameError: global name '_uuid_generate_random' is not defined
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 19:35 UTC by Tom London
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 15:18:06 UTC


Attachments (Terms of Use)

Description Tom London 2007-02-23 19:35:20 UTC
Description of problem:
Find this message in /var/log/messages:

Feb 23 10:02:25 localhost setroubleshoot: [avc.ERROR] Plugin Exception
plugins.catchall  Traceback (most recent call last):   File
"/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 257, in
analyze_avc     report_receiver.report_problem(report)   File
"/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 138, in
report_problem     siginfo = super(AlertPluginReportReceiver,
self).report_problem(siginfo)   File
"/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 305, in
report_problem     siginfo.local_id=self.database.sigs.generate_local_id()  
File "/usr/lib/python2.5/site-packages/setroubleshoot/signature.py", line 1292,
in generate_local_id     return str(uuid.uuid4())   File
"/usr/lib/python2.5/site-packages/setroubleshoot/uuid.py", line 420, in uuid4  
  if _uuid_generate_random: NameError: global name '_uuid_generate_random' is
not defined


Version-Release number of selected component (if applicable):
setroubleshoot-1.9.1-1.fc7

How reproducible:
Every time (boot)

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Dennis 2007-02-24 18:00:12 UTC
Dan, I fixed uuid.py by replacing the global variables which were used to
determine if the ctypes lib functions were available. It's checked into
mercurial but I have not pushed a new rpm. I don't want to push a new rpm yet,
there are other changes which were added at the same time and they need further
testing.

Comment 2 Tom London 2007-03-07 15:18:06 UTC
seems fixed in setroubleshoot-1.9.3-1.fc7

Closing......


Note You need to log in before you can comment on or make changes to this bug.